package common.entity.npc;

import common.ai.EntityAIHurtByTarget;
import common.entity.types.EntityLiving;

public class AIHurtByAggressor extends EntityAIHurtByTarget
{
    public AIHurtByAggressor(EntityMobNPC p_i45828_1_)
    {
        super(p_i45828_1_, true);
    }

    protected void setEntityAttackTarget(EntityLiving creatureIn, EntityLiving entityLivingBaseIn)
    {
        super.setEntityAttackTarget(creatureIn, entityLivingBaseIn);

        if (creatureIn.getClass() == this.taskOwner.getClass())
        {
            ((EntityMobNPC)creatureIn).getNode().becomeAngryAt(entityLivingBaseIn);
        }
    }
}